|Home | Tutorial | Classes | Functions | QSA Workbench | Language | Qt API | QSA Articles | Qt Script for Applications |

# QSArgumentList Class Reference

The QSArgumentList class provides a QValueList of QSArguments with some convenience constructors. More...

`#include <qsargument.h>`

List of all member functions.

## Public Members

- QSArgumentList ()
- QSArgumentList ( const QValueList<QVariant> & l )
- QSArgumentList ( const QVariant & v )
- QSArgumentList ( QObject * o )
- QSArgumentList ( void * p )

## Detailed Description

The QSArgumentList class provides a QValueList of QSArguments with some convenience constructors.

This class inherits QValueList, so the API of QValueList applies for this class. In addition, this class offers convenience constructors which make working with this class more comfortable.

## Member Function Documentation

### QSArgumentList::QSArgumentList ()

Creates an empty QSArgumentList.

### QSArgumentList::QSArgumentList ( const QValueList<QVariant> & l )

Converts the list l of QVariants into a QSArgumentList.

### QSArgumentList::QSArgumentList ( const QVariant & v )

Creates a QSArgumentList and appends v to it.

### QSArgumentList::QSArgumentList ( QObject * o )

Creates a QSArgumentList and appends o to it.

### QSArgumentList::QSArgumentList ( void * p )

Creates a QSArgumentList and appends p to it.

This file is part of Qt Script for Applications, copyright © 2001-2004 Trolltech. All Rights Reserved.